<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en">
<head>
	<title>Plugin Codemirror / Tinymce</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<?php
// style sheets
$css_filename = dirname(__FILE__).'/style.css';
$today = date('c');
if (! is_readable($css_filename)) {
	$content = "/* ***** Generated by index.php on ${today} ****** */\n\n";
	foreach(glob('CodeMirror/*{,*/}*.css', GLOB_BRACE) as $filename) {
		$content .= "/* ***** $filename ******** */\n";
		$content .= file_get_contents($filename)."\n";
	}
	$content .= <<< CONTENT
.CodeMirror { background-color: #F2F3E2; font-size: 10pt; }
CONTENT;

	if ($res = file_put_contents($css_filename, $content))
		echo <<< STYLE_SHORT
	<link type="text/stylesheet" rel="stylesheet" href="style.css" />

STYLE_SHORT;
	else
		echo <<< STYLE_LONG
		<style>
${content}
		</style>

STYLE_LONG;
} else
	echo <<< STYLE
	<link rel="stylesheet" type="text/css" href="style.css" />

STYLE;

// javascript scripts
$js_filename = 'codemirror.min.js';
if ($js_result = is_readable($js_filename))
	echo <<< JAVASCRIPT
	<script type="text/javascript" src="${js_filename}"></script>
	<script type="text/javascript" src="script.js"></script>
	<script type="text/javascript">
		cm_config = {
			// mode: 'htmlmixed',
			mode: 'application/x-httpd-php',
			lineNumbers: true,
			lineWrapping: true,
			matchBrackets: true,
			autoCloseTags: true,
			autoCloseBrackets: true,
			styleActiveLine: true,
			foldGutter: true,
			gutters: ['CodeMirror-linenumbers', 'CodeMirror-foldgutter']
		}
		window.addEventListener('load', start);
	</script>
JAVASCRIPT;
else { ?>
	<style type="text/css">
		input[name] { display: none; }
		h2 + p span { font-weight: bold; background-color: #F3EDC2; padding: 4px 10px; }
	</style>
<?php }
?>
</head>
<body>
<?php
		if (! $js_result) { ?>
	<h2>Téléchargez la bibliothèque minifiée de Codemirror</h2>
	<p>
		La bibliothèque doit être sauvegardée sur le serveur dans le dossier :<br /><span><?php echo dirname(__FILE__); ?></span>
	</p><p>
		Le téléchargement prendra quelques minutes. Soyez patient ...
	</p>
	<form id="form_codemirror_minifyjs" method="post" action="http://marijnhaverbeke.nl/uglifyjs">
		<input name="download" value="codemirror.min.js" />

		<input name="code_url" value="http://codemirror.net/lib/codemirror.js" />
<?php
			$addons = array(
				'edit/matchbrackets', 'edit/matchtags', 'edit/closebrackets', 'edit/closetag', 'display/fullscreen',
				'fold/foldcode', 'fold/foldgutter', 'fold/xml-fold', 'fold/comment-fold', 'fold/markdown-fold',
				'dialog/dialog', 'selection/active-line', 'search/searchcursor', 'search/search',
				'hint/show-hint', 'hint/css-hint', 'hint/html-hint', 'hint/javascript-hint', 'hint/xml-hint'
				);
			foreach ($addons as $addon)
				echo <<< EOL
		<input name="code_url" value="http://codemirror.net/addon/$addon.js" />

EOL;
			$modes = array('htmlmixed', 'xml', 'javascript', 'css', 'clike', 'php', 'markdown');
			foreach ($modes as $mode)
				echo <<< EOL
		<input name="code_url" value="http://codemirror.net/mode/$mode/$mode.js" />

EOL;
?>
		<input type="submit" value="OK"/>
	</form>
<?php	} ?>
</body>
</html>
